import { Quaternion } from "../math/Quaternion";
import { Vector3 } from "../math/Vector3";
import { EventDispatcher } from "./EventDispatcher";
declare class Scene extends EventDispatcher {
    static RowLength: number;
    private _data;
    private _width;
    private _height;
    private _vertexCount;
    private _positions;
    private _rotations;
    private _scales;
    setData: (data: Uint8Array) => void;
    translate: (translation: Vector3) => void;
    rotate: (rotation: Quaternion) => void;
    scale: (scale: Vector3) => void;
    limitBox: (xMin: number, xMax: number, yMin: number, yMax: number, zMin: number, zMax: number) => void;
    saveToFile: (name: string) => void;
    constructor();
    get data(): Uint32Array;
    get vertexCount(): number;
    get width(): number;
    get height(): number;
    get positions(): Float32Array;
    get rotations(): Float32Array;
    get scales(): Float32Array;
}
export { Scene };
